package com.mosty.base.utils;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

public class PageUtils {

    /**
     * 当前记录起始索引 默认值
     */
    public static final int DEFAULT_PAGE_NUM = 1;

    /**
     * 每页显示记录数 默认值 默认查全部
     */
    public static final int DEFAULT_PAGE_SIZE = 50;


    /**
     * 构建 MP 普通分页对象
     *
     * @param <T> domain 实体
     * @return 分页对象
     */
    public static <T> IPage<T> buildPage(Integer pageSize, Integer pageNum) {
        IPage<T> page = new Page<>();
        page.setSize((pageSize == null || pageSize == 0) ? DEFAULT_PAGE_SIZE : pageSize);
        page.setCurrent((pageNum == null || pageNum == 0) ? DEFAULT_PAGE_NUM : pageNum);
        return page;
    }

}
